Update Appointment

Update an existing appointment.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

appointmentIdstringRequired

Request

This endpoint expects an object.
titlestringOptional>=1 character
assigneeIdintegerOptional
dueDatestring or nullOptionalformat: "date-time"
descriptionstring or nullOptional
isCompletedbooleanOptional

Response

Appointment updated successfully
idinteger
titlestring
descriptionstring or null
dueDatestring or nullformat: "date-time"
isCompletedboolean
completedAtstring or nullformat: "date-time"
assigneeIdinteger or null
opportunityIdinteger or null
ID of the parent opportunity.
createdByinteger or null
createdAtstringformat: "date-time"
updatedAtstringformat: "date-time"

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error